<?php

namespace App\Services\SchoolIds;

use App\Services\SchoolIdService;

class SchoolIdGenerationService
{
    public function __construct(private SchoolIdService $schoolIdService)
    {
    }

    public function generateStudentId(): string
    {
        return $this->schoolIdService->generateStudentSchoolId();
    }

    public function generateUserId(): string
    {
        return $this->schoolIdService->generateUserSchoolId();
    }
}
